For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search account

GET /api/v2/directory/accounts/search

This endpoint facilitates the search of an account using various lookup values, such as business and legal name representations, or first name and last name representations, or the email. If the provided lookup value does not match any account record, the endpoint will return no results.

Query Parameters

Name
Type
Description
Required

search_term

string

The parameter 'search_term' is used to search for either, business_name or legal_name, first_name or last_name, or email.

True

account_category

string

The category of the account. Either customer or recipient. When category is not specified, all categories are searched.

account_type

string

The type of the account. Either individual or entity. When type is not specified, all types are searched.

Response

{
    "status": "success",
    "data": [
        {
            "reference_id": "account0001",
            "account_type": "Individual",
            "name": "Devin Booker",
            "account_category": "recipient",
            "email": "devin@example.com",
            "created": "2024-03-19T10:56:56+00:00",
            "last_modified": "2024-05-02T13:00:30+00:00"
        },
        {
            "reference_id": "account0002",
            "account_type": "Entity",
            "name": "Crypto Legal",
            "account_category": "customer",
            "email": "crypto.legal@example.com",
            "created": "2024-09-05T13:58:19+00:00",
            "last_modified": "2024-09-05T13:58:19+00:00"
        },
        {
            "reference_id": "account0003",
            "account_type": "Individual",
            "name": "Clovis Mraz",
            "account_category": "customer",
            "email": "clovis@example.com",
            "created": "2024-05-03T05:04:00+00:00",
            "last_modified": "2024-05-03T05:04:00+00:00"
        }
    ]
}

Last updated